package com.usky.iot;

import com.usky.common.core.bean.ApiResult;
import com.usky.iot.factory.RemoteMceFallbackFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;

/**
 * @author han
 * @date 2024/04/26 14:07
 */
@FeignClient(contextId = "remoteMceService", value = "service-iot", fallbackFactory =
        RemoteMceFallbackFactory.class)
public interface RemoteMceService {
    /**
     * 新增消息
     *
     * @return 消息结果
     */
    @PostMapping("/addMce")
    ApiResult<Void> addMce(String mceReceive);
}